"""create table for Contact
Revision ID: a1b2c3d4e5f6
Revises: 0001
Create Date: 2023-11-22 12:34:56.789012
"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '2b25941c'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'contacts',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now()),
    )
    op.create_index(op.f('ix_contacts_email'), 'contacts', ['email'], unique=False)


def downgrade():
    op.drop_index(op.f('ix_contacts_email'), table_name='contacts')
    op.drop_table('contacts')